Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bugzilla DB migration completed. Please report issues to Infra team via email via infra@gentoo.org or IRC

Bug 209693

Summary: dev-libs/xmlrpc-c does not respect user's LDFLAGS
Product: Gentoo Linux Reporter: Diego Elio Pettenò (RETIRED) <flameeyes>
Component: New packagesAssignee: Wulf Krueger (RETIRED) <philantrop>
Status: RESOLVED FIXED    
Severity: normal    
Priority: High    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 331933    

Description Diego Elio Pettenò (RETIRED) gentoo-dev 2008-02-11 19:40:54 UTC
The Makefiles seems to use LADD as LDFLAGS variable, but just setting it does not seem to be enough, a oneliner might be needed.
Comment 1 Wulf Krueger (RETIRED) gentoo-dev 2008-03-01 22:13:38 UTC
Notes to myself: Setting LADD works but leads to more --as-needed issues, e. g.:

x86_64-pc-linux-gnu-gcc -o auth_client -Wl,-O1 -Wl,--as-needed auth_client.o  -L/usr/lib64 -lcurl /var/tmp/portage/dev-libs/xmlrpc-c-1.06.09-r1/work/xmlrpc-c-1.06.09/src/.libs/libxmlrpc_client.a /var/tmp/portage/dev-libs/xmlrpc-c-1.06.09-r1/work/xmlrpc-c-1.06.09/src/.libs/libxmlrpc.a /var/tmp/portage/dev-libs/xmlrpc-c-1.06.09-r1/work/xmlrpc-c-1.06.09/lib/libutil/.libs/libxmlrpc_util.a -lxml2 -lz -lm
/var/tmp/portage/dev-libs/xmlrpc-c-1.06.09-r1/work/xmlrpc-c-1.06.09/src/.libs/libxmlrpc_client.a(xmlrpc_curl_transport.o): In function `curlMulti_perform':
/var/tmp/portage/dev-libs/xmlrpc-c-1.06.09-r1/work/xmlrpc-c-1.06.09/lib/curl_transport/xmlrpc_curl_transport.c:290: undefined reference to `curl_multi_perform'
Comment 2 Wulf Krueger (RETIRED) gentoo-dev 2008-03-02 00:48:12 UTC
Fixed in CVS.